package de.siphalor.was.content.quest;

import de.siphalor.was.content.product.Product;
import org.jetbrains.annotations.NotNull;

public class Quest {
	@NotNull
	private final Type type;
	private final int reward;
	@NotNull
	private final Product product;

	public Quest(@NotNull Type type, int reward, @NotNull Product product) {
		this.product = product;
		this.reward = reward;
		this.type = type;
	}

	@NotNull
	public Product getProduct() {
		return product;
	}

	@NotNull
	public Type getType() {
		return type;
	}

	public int getReward() {
		return reward;
	}

	public enum Type {
		IN, OUT
	}
}
